Summary: Super NES emulator
Name: snes9x
Version: 1.53
Release: %mkrel 1
Group: Emulators
License: BSD-style
URL: http://code.google.com/p/snes9x-gtk/
Source: http://snes9x-gtk.googlecode.com/files/%{name}-%{version}-src.tar.xz
#-----------------------------------------------------
BuildRequires: gettext 
BuildRequires: intltool 
BuildRequires: %{_lib}SDL-devel
BuildRequires: %{_lib}alsa2-devel
BuildRequires: %{_lib}atk1.0-devel 
BuildRequires: %{_lib}cairo-devel 
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel 
BuildRequires: %{_lib}glib2.0-devel 
BuildRequires: %{_lib}gtk+2.0_0-devel 
BuildRequires: %{_lib}pango1.0-devel 
BuildRequires: %{_lib}png-devel 
BuildRequires: %{_lib}portaudio-devel 
BuildRequires: %{_lib}pulseaudio-devel
BuildRequires: %{_lib}x11-devel
BuildRequires: %{_lib}xext-devel 
BuildRequires: %{_lib}xml2-devel 
BuildRequires: %{_lib}xrandr2-devel 
BuildRequires: %{_lib}xrender-devel 
BuildRequires: %{_lib}xv-devel 
BuildRequires: libstdc++-devel 
BuildRequires: mesa-devel 
BuildRequires: x11-proto-devel 
BuildRequires: zlib1-devel 
#--------------------------------------------------------
Provides: snes9x-common
Obsoletes: snes9x-common
Provides: snes9x-X
Obsoletes: snes9x-X
Provides: snes9x-binary

%description
Snes9X is a portable, freeware Super Nintendo Entertainment System (SNES)
emulator. It basically allows you to play most games designed for the SNES
and Super Famicom Nintendo game systems on your PC or Workstation.

%prep
%setup -q -n %{name}-%{version}-src

%build
cd gtk
%configure2_5x \
    --without-oss \
    --with-netplay
%make
cd ..
# Second, build the CLI version
cd unix
%configure2_5x \
    --enable-netplay
%make
cd ..

%install
rm -rf %buildroot

cd gtk
%makeinstall_std
cd ..
%find_lang snes9x-gtk
mkdir -p %{buildroot}%{_bindir}
install -m 755 unix/snes9x %{buildroot}%{_bindir}

desktop-file-install --vendor="" \
--remove-category="Application" \
--add-category="X-MandrivaLinux-MoreApplications-Emulators" \
--dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

%files -f snes9x-gtk.lang
%doc unix/docs/readme_unix.html
%{_bindir}/%{name}
%doc gtk/doc/*
%{_bindir}/%{name}-gtk
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.*


%changelog
* Fri Jul 10 2015 bb <bb> 1.53-1pclos2015
- update for 2015
